High Mountain Software
Providing Software Solutions Since 1991
Home
SpamEater Pro
SpamEater.Net
iSpeed for Windows
    Features
    Requirements
Downloads
Technical Support
Privacy Policy
Contact Us
iSpeed for Windows System Requirements
Following are the minimum system requirements for running iSpeed 3.x on your computer. Recommendations are included where improved performance can be seen.
  • Windows 95, 98, ME, NT 4.0 SP4+, 2000 or Windows XP
  • For Windows 95, you will need the Sockets 2.0 update available from Microsoft
  • One or more network adapters (modems, ethernet cards, cable modems, etc.)
  • TCP/IP networking properly installed and functioning
Please Note: iSpeed does not support Windows 2003, 2008, Vista or Windows 7. Support is included only up through Windows XP.
If using AOL, then you need the AOL 6.0 or earlier software installed - AOL 7.0/8.0 software not currently supported for MTU modifications

Copyright © 1997-2016, High Mountain Software